--- !ruby/object:RI::ClassDescription 
attributes: []

class_methods: []

comment: 
- !ruby/struct:SM::Flow::P 
  body: regards lines starting with '^[ \t]*%' as program code
- !ruby/struct:SM::Flow::P 
  body: in addition you can specify prefix character (default '%')
- !ruby/struct:SM::Flow::P 
  body: this is language-independent.
constants: []

full_name: Erubis::PrefixedLineEnhancer
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: add_text
- !ruby/object:RI::MethodSummary 
  name: init_generator
name: PrefixedLineEnhancer
superclass: 
